from base64 import b64decode
from os.path import normpath, exists, join
def bfs11274():
  bfs11273 = 'aGVsaXVtLXB5dGhvbi9zcmMvbWFpbi9weXRob24='.encode('ascii')
  bfs11272 = b64decode(bfs11273).decode('ascii')
  return (normpath(bfs11272) in normpath(__file__))

class bfs11275(object):
  def __init__(self, *bfs11277):
    self.bfs11277 = bfs11277

  def bfs10507(self, *bfs11276):
    for bfs11300 in self.bfs11277:
      location = self.bfs11301(bfs11300, *bfs11276)
      if exists(location):
        return location


    return self.bfs11301(self.bfs11277[0], *bfs11276)

  def bfs11301(self, *bfs11302):
    return normpath(join(*bfs11302))


